Bug 2171990 - CVE-2022-48339 emacs: command injection vulnerability in htmlfontify.el [fedora-all]
Summary: CVE-2022-48339 emacs: command injection vulnerability in htmlfontify.el [fedo...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: emacs
Version: 37
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Daiki Ueno
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2022-48339
TreeView+ depends on / blocked
 
Reported: 2023-02-21 06:23 UTC by TEJ RATHI
Modified: 2023-10-14 01:26 UTC (History)
9 users (show)

Fixed In Version: emacs-28.3-0.rc1.fc37
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-10-14 01:26:25 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description TEJ RATHI 2023-02-21 06:23:57 UTC
More information about this security flaw is available in the following bug:

http://bugzilla.redhat.com/show_bug.cgi?id=2171989

Disclaimer: Community trackers are created by Red Hat Product Security team on a best effort basis. Package maintainers are required to ascertain if the flaw indeed affects their package, before starting the update process.

Comment 1 TEJ RATHI 2023-02-21 06:24:00 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=2171989,2171990

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 lu4nx 2023-02-25 05:31:26 UTC
I pushed the patches: https://src.fedoraproject.org/rpms/emacs/pull-request/21

Comment 3 Fedora Update System 2023-09-24 10:42:13 UTC
FEDORA-2023-5763445abe has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-5763445abe

Comment 4 Fedora Update System 2023-09-25 01:44:32 UTC
FEDORA-2023-5763445abe has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-5763445abe`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-5763445abe

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2023-09-28 01:35:58 UTC
FEDORA-2023-5763445abe has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 6 Fedora Update System 2023-09-28 15:46:54 UTC
FEDORA-2023-29df561f1d has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-29df561f1d

Comment 7 Fedora Update System 2023-09-29 01:28:54 UTC
FEDORA-2023-29df561f1d has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-29df561f1d`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-29df561f1d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2023-10-14 01:26:25 UTC
FEDORA-2023-29df561f1d has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.